<template>
  <b-col>
    <div class="card mb-5 mx-auto" style="max-width: 25rem">
      <img class="card-img-top" :src="urlFTP + 'tn/tn1-' + moduleContent.data.image1" alt v-if="moduleContent.data.image1" />
      <img class="card-img-top" src="../../assets/img/no-content.jpg" alt v-else />
      <div class="position-absolute p-2">
        <span class="badge badge-danger" v-if="moduleContent.data.oui3">Promo</span>
        <span class="badge badge-warning" v-if="moduleContent.data.oui4">Nouveauté</span>
        <span class="badge badge-success" v-if="moduleContent.data.oui5">Top vente</span>
      </div>
      <div class="card-body position-relative p-4">
        <h5 class="card-title" v-if="moduleContent.data.titre2">{{ moduleContent.data.titre2 }}</h5>
        <p class="card-text" v-if="moduleContent.data.description1">{{ moduleContent.data.description1 }}</p>
        <!-- <div class="d-flex border text-center mb-3">
          <div class="p-1 flex-fill border">
            <small>option 1</small>
          </div>
          <div class="p-1 flex-fill border">
            <small>option 2</small>
          </div>
          <div class="p-1 flex-fill border">
            <small>option 3</small>
          </div>
        </div>-->
        <p class="text-center label-p" v-if="moduleContent.dataprix.structured.prix1 > 0 || moduleContent.dataprix.structured.prix2 > 0">
          <!-- if prix1 > prix 2 -->
          <small v-if="moduleContent.dataprix.structured.prix1 > moduleContent.dataprix.structured.prix2 && moduleContent.dataprix.structured.prix2 > 0">{{ moduleContent.dataprix.structured.prix1 | euro }}</small>
          <strong v-if="moduleContent.dataprix.structured.prix1 > moduleContent.dataprix.structured.prix2 && moduleContent.dataprix.structured.prix2 > 0">{{ moduleContent.dataprix.structured.prix2 | euro }}</strong>

          <!-- if prix2 > prix 1 -->
          <small v-if="moduleContent.dataprix.structured.prix2 > moduleContent.dataprix.structured.prix1 && moduleContent.dataprix.structured.prix1 > 0">{{ moduleContent.dataprix.structured.prix2 | euro }}</small>
          <strong v-if="moduleContent.dataprix.structured.prix2 > moduleContent.dataprix.structured.prix1 && moduleContent.dataprix.structured.prix1 > 0">{{ moduleContent.dataprix.structured.prix1 | euro }}</strong>

          <!-- if prix1 > 0 or prix2 > 0 -->
          <strong v-if="moduleContent.dataprix.structured.prix1 > 0 && moduleContent.dataprix.structured.prix2 == 0">{{ moduleContent.dataprix.structured.prix1 | euro }}</strong>
          <strong v-if="moduleContent.dataprix.structured.prix2 > 0 && moduleContent.dataprix.structured.prix1 == 0">{{ moduleContent.dataprix.structured.prix2 | euro }}</strong>
        </p>
        <div class="text-center">
          <a class="btn btn-info mb-2" @click="goTo(pageName, moduleContent)">En savoir plus</a>
          <b-button class="btn btn-success mb-2" v-if="moduleContent.dataprix.structured.prix1 > 0" @click="addToCart(moduleContent)"> Commander</b-button>
        </div>
      </div>
    </div>
    <b-modal id="addCart" :hide-footer="true" :hide-header="true" v-model="showModalAdd">Produit ajouté au panier</b-modal>
  </b-col>
</template>
<script>
export default {
  props: ["moduleContent", "moduleName", "pageName", "listProducts"],
  data() {
    return {
      showModalAdd: false,
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    };
  },
  methods: {
    goTo(link, item) {
      this.$router.push({ name: "notre-catalogue-detail", params: { id: item.id, listProducts: this.listProducts } });
      // this.$router.go();
    },
    addToCart(productToAdd, variant) {
      this.$store.dispatch("addProductToCart", { product: productToAdd, quantity: 1, variant: variant });
      this.showModalAdd = true;
      this.timerModal("addCart", 1);
    },
    timerModal(modalId, modalTimeoutSeconds) {
      let modalSetTimeout = null;
      modalSetTimeout = setTimeout(() => {
        this.$bvModal.hide(modalId);
        this.showModalAdd = false;
      }, modalTimeoutSeconds * 1000);
    }
  }
};
</script>
